#############################################################################
# Makefile for building: phony_target3
# Generated by qmake (2.01a) (Qt 4.8.0) on: Wed 15. Feb 01:36:08 2012
# Project:  qtcomponents.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DIDE_LIBRARY_BASENAME=\"lib\" -DWITH_TESTS -DQT_NO_CAST_TO_ASCII -DNQTC_SETTINGS_ORG=\"org.kde.necessitas\" -DNQTC_SETTINGS_APPNAME=\"NecessitasQtCreator\" -DNQTC_SETTINGS_DOMAIN=\"www.kde.org\" -DQT_USE_FAST_OPERATOR_PLUS -DQT_USE_FAST_CONCATENATION -DQT_NEEDS_QMAIN
CFLAGS        = -g -mms-bitfields -Wall $(DEFINES)
CXXFLAGS      = -g -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I'../../../src/libs' -I'c:/usr/nec/android-qt-creator/tools' -I'../../../src/plugins' -I'/usr/nec/sh-b/mkspecs/default'
LINK        =        @: IGNORE THIS LINE
LFLAGS        =        -static-libgcc -static-libstdc++ -mthreads -Wl,-subsystem,windows
LIBS        =         
QMAKE         = c:/usr/nec/sh-b/bin/qmake.exe
IDC           = /usr/nec/sh-b/bin/idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = cp
COPY_FILE     = $(COPY)
COPY_DIR      = cp -r
DEL_FILE      = rm
DEL_DIR       = rmdir
MOVE          = mv
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = debug/

####### Files

SOURCES       =  
OBJECTS       = 
DIST          = 
QMAKE_TARGET  = phony_target3
DESTDIR        = debug/ #avoid trailing-slash linebreak
TARGET         = phony_target3.exe
DESTDIR_TARGET = debug/phony_target3.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.Debug  $(DESTDIR_TARGET)

$(DESTDIR_TARGET):  $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) $(OBJECTS)  $(LIBS)

qmake:  FORCE
	@$(QMAKE) CONFIG+=release QT+=network CONFIG+=declarative_debug CONFIG+=ms_bitfields CONFIG+=static_gcclibs -o Makefile.Debug qtcomponents.pro

dist:
	$(ZIP) phony_target3.zip $(SOURCES) $(DIST) ../../../qtcreator.pro /usr/nec/sh-b/mkspecs/qconfig.pri /usr/nec/sh-b/mkspecs/modules/qt_webkit_version.pri ../../../../sh-b/mkspecs/features/qt_functions.prf ../../../../sh-b/mkspecs/features/qt_config.prf ../../../../sh-b/mkspecs/win32-g++/qmake.conf ../../../../sh-b/mkspecs/features/exclusive_builds.prf ../../../../sh-b/mkspecs/features/default_pre.prf ../../../../sh-b/mkspecs/features/win32/default_pre.prf ../../../qtcreator.pri ../../../../sh-b/mkspecs/features/debug.prf ../../../../sh-b/mkspecs/features/debug_and_release.prf ../../../../sh-b/mkspecs/features/default_post.prf ../../../../sh-b/mkspecs/features/win32/default_post.prf ../../../../sh-b/mkspecs/features/build_pass.prf ../../../../sh-b/mkspecs/features/static_gcclibs.prf ../../../../sh-b/mkspecs/features/ms_bitfields.prf ../../../../sh-b/mkspecs/features/declarative_debug.prf ../../../../sh-b/mkspecs/features/win32/stl.prf ../../../../sh-b/mkspecs/features/win32/rtti.prf ../../../../sh-b/mkspecs/features/win32/exceptions.prf ../../../../sh-b/mkspecs/features/warn_on.prf ../../../../sh-b/mkspecs/features/shared.prf ../../../../sh-b/mkspecs/features/win32/windows.prf ../../../../sh-b/mkspecs/features/win32/thread_off.prf ../../../../sh-b/mkspecs/features/resources.prf ../../../../sh-b/mkspecs/features/uic.prf ../../../../sh-b/mkspecs/features/yacc.prf ../../../../sh-b/mkspecs/features/lex.prf ../../../../sh-b/mkspecs/features/include_source_dir.prf  RESOURCES FORMS IMAGES YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Debug

check: first

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 



####### Compile

####### Install

install_qmlfiles: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ || $(MKDIR) $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ 
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/Button.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/ButtonRow.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/CheckBox.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/ChoiceList.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/ContextMenu.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/Dial.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/Frame.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/GroupBox.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/Menu.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/MenuItem.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/ProgressBar.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/RadioButton.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/ScrollArea.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/ScrollBar.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/Slider.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/SpinBox.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/SplitterRow.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/Switch.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/Tab.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/TabBar.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/TabFrame.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/TableColumn.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/TableView.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/TextArea.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/TextField.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/ToolBar.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/ToolButton.qml $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_FILE) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/qmldir $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/
	-$(INSTALL_DIR) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/images $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/images
	-$(INSTALL_DIR) c:/usr/nec/android-qt-creator/lib/qtcreator/qtcomponents/custom $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/custom


uninstall_qmlfiles:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/Button.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ButtonRow.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/CheckBox.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ChoiceList.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ContextMenu.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/Dial.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/Frame.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/GroupBox.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/Menu.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/MenuItem.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ProgressBar.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/RadioButton.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ScrollArea.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ScrollBar.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/Slider.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/SpinBox.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/SplitterRow.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/Switch.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/Tab.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/TabBar.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/TabFrame.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/TableColumn.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/TableView.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/TextArea.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/TextField.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ToolBar.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ToolButton.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/qmldir 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/images 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/custom
	-$(DEL_DIR) $(INSTALL_ROOT)/lib/qtcreator/qtcomponents/ 


install:  install_qmlfiles  FORCE

uninstall: uninstall_qmlfiles   FORCE

FORCE:

